Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezworkflowgrouplink.php
Go to the documentation of this file.
1 <?php
13
17 class eZWorkflowGroupLink extends eZPersistentObject
18 {
19 static function definition()
20 {
21 return array( "fields" => array( "workflow_id" => array( 'name' => "WorkflowID",
22 'datatype' => 'integer',
23 'default' => 0,
24 'required' => true,
25 'foreign_class' => 'eZWorkflow',
26 'foreign_attribute' => 'id',
27 'multiplicity' => '1..*' ),
28 "workflow_version" => array( 'name' => "WorkflowVersion",
29 'datatype' => 'integer',
30 'default' => 0,
31 'required' => true ),
32 "group_id" => array( 'name' => "GroupID",
33 'datatype' => 'integer',
34 'default' => 0,
35 'required' => true,
36 'foreign_class' => 'eZWorkflowGroup',
37 'foreign_attribute' => 'id',
38 'multiplicity' => '1..*' ),
39 "group_name" => array( 'name' => "GroupName",
40 'datatype' => 'string',
41 'default' => '',
42 'required' => true ) ),
43 "keys" => array( "workflow_id", "workflow_version", "group_id" ),
44 "class_name" => "eZWorkflowGroupLink",
45 "sort" => array( "workflow_id" => "asc" ),
46 "name" => "ezworkflow_group_link" );
47 }
48
49 static function create( $workflow_id, $workflow_version, $group_id, $group_name )
50 {
51 $row = array("workflow_id" => $workflow_id,
52 "workflow_version" => $workflow_version,
53 "group_id" => $group_id,
54 "group_name" => $group_name);
55 return new eZWorkflowGroupLink( $row );
56 }
57
62 static function removeByID( $workflow_id, $workflow_version, $group_id )
63 {
64 eZPersistentObject::removeObject( eZWorkflowGroupLink::definition(),
65 array("workflow_id" => $workflow_id,
66 "workflow_version" =>$workflow_version,
67 "group_id" => $group_id ) );
68 }
69
74 static function removeGroupMembers( $group_id )
75 {
76 eZPersistentObject::removeObject( eZWorkflowGroupLink::definition(),
77 array( "group_id" => $group_id ) );
78 }
79
84 static function removeWorkflowMembers( $workflow_id, $workflow_version )
85 {
86 eZPersistentObject::removeObject( eZWorkflowGroupLink::definition(),
87 array( "workflow_id" =>$workflow_id,
88 "workflow_version" =>$workflow_version ) );
89 }
90
91 static function fetch( $workflow_id, $workflow_version, $group_id, $asObject = true )
92 {
93 return eZPersistentObject::fetchObject( eZWorkflowGroupLink::definition(),
94 null,
95 array("workflow_id" => $workflow_id,
96 "workflow_version" =>$workflow_version,
97 "group_id" => $group_id ),
98 $asObject );
99 }
100
101 static function fetchWorkflowList( $workflow_version, $group_id, $asObject = true )
102 {
103 return eZPersistentObject::fetchObjectList( eZWorkflowGroupLink::definition(),
104 null,
105 array( "workflow_version" =>$workflow_version,
106 "group_id" => $group_id ),
107 null,
108 null,
109 $asObject);
110 }
111
112 static function fetchGroupList( $workflow_id, $workflow_version, $asObject = true )
113 {
114 return eZPersistentObject::fetchObjectList( eZWorkflowGroupLink::definition(),
115 null,
116 array( "workflow_id" => $workflow_id,
117 "workflow_version" =>$workflow_version ),
118 null,
119 null,
120 $asObject);
121 }
122
124 public $WorkflowID;
125 public $WorkflowVersion;
126 public $GroupID;
127 public $GroupName;
128 }
129
130 ?>
eZPersistentObject
Definition: ezpersistentobject.php:33
eZPersistentObject\fetchObject
static fetchObject( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
Definition: ezpersistentobject.php:213
eZPersistentObject\removeObject
static removeObject( $def, $conditions=null, $extraConditions=null)
Definition: ezpersistentobject.php:271
eZPersistentObject\fetchObjectList
static fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
Definition: ezpersistentobject.php:806
eZWorkflowGroupLink
Definition: ezworkflowgrouplink.php:18
eZWorkflowGroupLink\removeGroupMembers
static removeGroupMembers( $group_id)
Definition: ezworkflowgrouplink.php:74
eZWorkflowGroupLink\definition
static definition()
Definition: ezworkflowgrouplink.php:19
eZWorkflowGroupLink\removeWorkflowMembers
static removeWorkflowMembers( $workflow_id, $workflow_version)
Definition: ezworkflowgrouplink.php:84
eZWorkflowGroupLink\fetch
static fetch( $workflow_id, $workflow_version, $group_id, $asObject=true)
Definition: ezworkflowgrouplink.php:91
eZWorkflowGroupLink\$WorkflowVersion
$WorkflowVersion
Definition: ezworkflowgrouplink.php:125
eZWorkflowGroupLink\$WorkflowID
$WorkflowID
Definition: ezworkflowgrouplink.php:124
eZWorkflowGroupLink\removeByID
static removeByID( $workflow_id, $workflow_version, $group_id)
Definition: ezworkflowgrouplink.php:62
eZWorkflowGroupLink\$GroupName
$GroupName
Definition: ezworkflowgrouplink.php:127
eZWorkflowGroupLink\fetchWorkflowList
static fetchWorkflowList( $workflow_version, $group_id, $asObject=true)
Definition: ezworkflowgrouplink.php:101
eZWorkflowGroupLink\$GroupID
$GroupID
Definition: ezworkflowgrouplink.php:126
eZWorkflowGroupLink\fetchGroupList
static fetchGroupList( $workflow_id, $workflow_version, $asObject=true)
Definition: ezworkflowgrouplink.php:112
eZWorkflowGroupLink\create
static create( $workflow_id, $workflow_version, $group_id, $group_name)
Definition: ezworkflowgrouplink.php:49
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.